Show / Hide Table of Contents

# Struct IgnoreReason

A structure describing the reason that a plugin was ignored.

##### Inherited Members

ValueType.ToString()
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetType()

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public struct IgnoreReason

### Constructors

| Improve this Doc View Source

#### IgnoreReason(Reason, String, Exception, PluginMetadata)

Initializes an IgnoreReason with the provided data.

##### Declaration

    public IgnoreReason(Reason reason, string reasonText = null, Exception error = null, PluginMetadata relatedTo = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Reason | reason | the Reason enum value that describes this reason
String | reasonText | the textual description of this ignore reason, if any
Exception | error | the Exception that caused this IgnoreReason, if any
PluginMetadata | relatedTo | the PluginMetadata this reason is related to, if any

### Properties

| Improve this Doc View Source

#### Error

Gets the Exception that caused this plugin to be ignored, if any.

##### Declaration

    public Exception Error { get; }

##### Property Value

Type | Description
--- | ---
Exception |

| Improve this Doc View Source

#### Reason

Gets the ignore reason, as represented by the Reason enum.

##### Declaration

    public Reason Reason { get; }

##### Property Value

Type | Description
--- | ---
Reason |

| Improve this Doc View Source

#### ReasonText

Gets the textual description of the particular ignore reason. This will typically include details about why the plugin was ignored, if it is present.

##### Declaration

    public string ReasonText { get; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### RelatedTo

Gets the metadata of the plugin that this ignore was related to, if any.

##### Declaration

    public PluginMetadata RelatedTo { get; }

##### Property Value

Type | Description
--- | ---
PluginMetadata |

### Methods

| Improve this Doc View Source

#### Equals(IgnoreReason)

Compares this IgnoreReason with `other` for equality.

##### Declaration

    public bool Equals(IgnoreReason other)

##### Parameters

Type | Name | Description
--- | --- | ---
IgnoreReason | other | the reason to compare to

##### Returns

Type | Description
--- | ---
Boolean | true if the two reasons compare equal, false otherwise

| Improve this Doc View Source

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
Object | obj |

##### Returns

Type | Description
--- | ---
Boolean |

##### Overrides

ValueType.Equals(Object)
| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
Int32 |

##### Overrides

ValueType.GetHashCode()

### Operators

| Improve this Doc View Source

#### Equality(IgnoreReason, IgnoreReason)

Checks if two IgnoreReasons are equal.

##### Declaration

    public static bool operator ==(IgnoreReason left, IgnoreReason right)

##### Parameters

Type | Name | Description
--- | --- | ---
IgnoreReason | left | the first IgnoreReason to compare
IgnoreReason | right | the second IgnoreReason to compare

##### Returns

Type | Description
--- | ---
Boolean | true if the two reasons compare equal, false otherwise

| Improve this Doc View Source

#### Inequality(IgnoreReason, IgnoreReason)

Checks if two IgnoreReasons are not equal.

##### Declaration

    public static bool operator !=(IgnoreReason left, IgnoreReason right)

##### Parameters

Type | Name | Description
--- | --- | ---
IgnoreReason | left | the first IgnoreReason to compare
IgnoreReason | right | the second IgnoreReason to compare

##### Returns

Type | Description
--- | ---
Boolean | true if the two reasons are not equal, false otherwise

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])